Impossible to use internal ID field to label features
Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11553

Description

It is impossible to use ID to label features, which otherwise would be quite handy for just assigning numbers.

History

#1 - 2009-01-20 10:55 AM - Maciej Sieczka -

What data format?

Are you reffering to the IDs that QGIS applies internally to features, visible e.g. when you browse the data table content, or do you really have a column

"ID" in your vector map and can't use it for labelling?

#2 - 2009-01-20 01:06 PM - Maxim Dubinin

sorry for being not descriptive enough

I'm working with shape-files and I was hoping to be able to use internal ID field for labeling, not to create another one.

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-04-18 01:09 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

implemented in the new labeling. use the expression $id as label.
